Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1518032

Summary: dnfdragora notifies of available updates in Plasma live session
Product: [Fedora] Fedora Reporter: Adam Williamson <awilliam>
Component: spin-kickstartsAssignee: Rex Dieter <rdieter>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 28CC: admiller, bruno, dustymabe, gmarr, jan.public, kevin, kevin, robatino, vanmeeuwen+fedora, vpavlin
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: AcceptedBlocker
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-04-02 16:50:39 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1469206    

Description Adam Williamson 2017-11-27 23:38:28 UTC
In current Rawhide, Plasma live images show update notifications from dnfdragora:

https://openqa.fedoraproject.org/tests/175724#step/desktop_notifications/29

this is a violation of the Final criterion "Release-blocking desktops must notify the user of available updates, but must not do so when running as a live image" - https://fedoraproject.org/wiki/Fedora_28_Final_Release_Criteria#Update_notification . Proposing as a Final blocker.

Comment 1 Kevin Kofler 2017-11-28 04:05:56 UTC
How did the updater end up on the image again?

Comment 2 Rex Dieter 2017-11-28 16:49:36 UTC
I suppose we could include an explicit exclude in spin-kickstarts now, but Kevin's query is valid.  We definitely do not explicitly include it, so it's getting included via deps somewhere else.

Comment 4 Geoffrey Marr 2017-12-11 18:19:41 UTC
Discussed during the 2017-12-11 blocker review meeting: [1]

The decision to classify this bug as an AcceptedBlocker was made as it violates the following blocker criteria:

"Release-blocking desktops must notify the user of available updates, but must not do so when running as a live image"

[1] https://meetbot.fedoraproject.org/fedora-blocker-review/2017-12-11/f28-blocker-review.2017-12-11-17.01.txt

Comment 5 Fedora End Of Life 2018-02-20 15:28:08 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 6 Adam Williamson 2018-04-02 16:50:39 UTC
This is working correctly at present (no live notifications). https://bugzilla.redhat.com/show_bug.cgi?id=1554550 was the last time we fixed it.